complexType "Restructuring"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | applicable?, restructuringType?, multipleHolderObligation?, multipleCreditEventNotices?
</...>

Content Model Elements (4):

  applicable (in restructuring defined in CreditEvents complexType),
  multipleCreditEventNotices,
  multipleHolderObligation,
  restructuringType

All Direct / Indirect Based Elements (1):

  restructuring (defined in CreditEvents complexType)

Known Usage Locations

- As direct type of elements (1):
  restructuring (defined in CreditEvents complexType)

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Restructuring"> <xsd:sequence> <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="restructuringType" type="RestructuringType"/> <xsd:element minOccurs="0" name="multipleHolderObligation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="multipleCreditEventNotices" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
applicable

  Type: | xsd:boolean, predefined, simple content

  Indicates whether the restructuring provision is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="applicable" type="xsd:boolean"/>

multipleCreditEventNotices

  Type: | xsd:boolean, predefined, simple content

  Presence of this element and value set to 'true' indicates that Section 3.9 of the 2003 Credit Derivatives Definitions shall apply. Absence of this element indicates that Section 3.9 shall not apply. NOTE: Not allowed under ISDA Credit 1999.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multipleCreditEventNotices" type="xsd:boolean"/>

multipleHolderObligation

  Type: | xsd:boolean, predefined, simple content

  In relation to a restructuring credit event, unless multiple holder obligation is not specified restructurings are limited to multiple holder obligations. A multiple holder obligation means an obligation that is held by more than three holders that are not affiliates of each other and where at least two thirds of the holders must agree to the event that constitutes the restructuring credit event. ISDA 2003 Term: Multiple Holder Obligation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multipleHolderObligation" type="xsd:boolean"/>

restructuringType

  Type: | RestructuringType, simple content

  Specifies the type of restructuring that is applicable.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="restructuringType" type="RestructuringType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.